InPost is Europe's leading out-of-home e-commerce logistics platform. It pioneered 24/7 Automated Parcel Machines (APMs) and provides courier, delivery, and fulfillment services. This guide provides developers with the details needed to build InPost Global shipping capabilities into your ShipStation API workflows.
InPost Global is available for shipments within the United Kingdom (GB) and between the United Kingdom and the Isle of Man (IM). Other international lanes are not available yet.
To connect an InPost Global account, you need credentials from InPost. InPost issues separate credentials for each client contract, so contact your InPost account manager if you don't have them.
| Property | Type | Required? | Description |
|---|---|---|---|
nickname | string | required | A nickname for you to identify the carrier account in ShipStation API. |
org_id | string | required | Your organisation ID, provided by InPost. |
client_id | string | required | Your InPost client ID. |
client_secret | string | required | Your InPost client secret. |
You can connect an InPost Global account using the POST method to the /v1/connections/carriers/ endpoint.
carrier_name: inpost_global
POST /v1/connections/carriers/inpost_global
POST /v1/connections/carriers/inpost_global HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"nickname": "my inpost global account",
"org_id": "your_org_id_here",
"client_id": "your_client_id_here",
"client_secret": "your_client_secret_here"
}A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.
InPost Global does not support rate shopping.
Available InPost Global services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint at any time.
| Service level | Delivery time |
|---|---|
| Express | Next day (D+1) |
| Standard | 2 days (D+2) |
- Only Standard services are available for shipments to Northern Ireland.
- Saturday delivery is not supported in the UK.
The delivery type in a service name describes where the parcel is delivered or dropped off.
| Delivery type | Description |
|---|---|
| APM | Delivery to an InPost parcel locker (Automated Parcel Machine). |
| PUDO | Delivery to a partner pick-up and drop-off shop. |
| ANY POINT | Any drop-off or collection point in the InPost network, locker or shop. This is the standard type for drop-off parcels. |
| NON-PUDO | Door-to-door delivery or collection at a home address, without using lockers or shops. |
HUB services can appear in the list carrier services response, but they are not serviced in GB.
InPost allocates the exact underlying service based on the weight, dimensions, origin, and destination you send.
Domestic services are available for shipments from GB.
| Service | API Code |
|---|---|
| Standard APM | inpost_global_standard_apm |
| Standard PUDO | inpost_global_standard_pudo |
| Standard ANY POINT | inpost_global_standard_any_point |
| Standard NON-PUDO | inpost_global_standard_non_pudo |
| Express APM | inpost_global_express_apm |
| Express PUDO | inpost_global_express_pudo |
| Express ANY POINT | inpost_global_express_any_point |
| Express NON-PUDO | inpost_global_express_non_pudo |
International services are available between GB and IM.
| Service | API Code | Ship-from countries |
|---|---|---|
| Standard APM International | inpost_global_standard_apm_international | GB, IM |
| Standard PUDO International | inpost_global_standard_pudo_international | GB, IM |
| Standard ANY POINT International | inpost_global_standard_any_point_international | GB, IM |
| Standard NON-PUDO International | inpost_global_standard_non_pudo_international | GB |
| Express APM International | inpost_global_express_apm_international | GB, IM |
| Express PUDO International | inpost_global_express_pudo_international | GB, IM |
| Express ANY POINT International | inpost_global_express_any_point_international | GB, IM |
| Express NON-PUDO International | inpost_global_express_non_pudo_international | GB, IM |
Not all services listed are available to every InPost Global account. We recommend you check with InPost so you know which services are available to your account, or use the list carrier services call.
InPost Global supports return labels with these services:
| Service | API Code | Ship-from countries |
|---|---|---|
| Return | inpost_global_return | GB |
| Return International | inpost_global_return_international | GB, IM |
Return delivery times are D+3 for business-to-consumer returns and D+5 for small-business returns.
The following carrier package types are available for InPost Global services:
| Name | API Code | Package Attributes |
|---|---|---|
| Extra Small | inpost_global_extra_small | Domestic, International |
| Small | inpost_global_small | Domestic, International |
| Medium | inpost_global_medium | Domestic, International |
| Large | inpost_global_large | Domestic, International |
For delivery to lockers (APM) and shops (PUDO):
| Package | Maximum dimensions (cm) |
|---|---|
| Extra Small | 4 x 23 x 40 |
| Small | 8 x 38 x 64 |
| Medium | 19 x 38 x 64 |
| Large | 41 x 38 x 64 |
- Maximum weight: 15 kg
- Maximum length: 640 mm
- Maximum volume: 0.099 m³
For door-to-door delivery (NON-PUDO):
- Maximum dimensions: 120 cm
- Maximum length: 1200 mm
- Maximum weight: 30 kg
- Maximum volume: 0.16 m³
For international shipments, ShipStation API sends customs information to InPost with the shipment:
- The Incoterm is set to DDU (Delivered Duty Unpaid).
- The export reason is set to sales.
- The total declared value is the sum of each product's value multiplied by its quantity.
- The shipping cost amount and currency are included.
- If you provide an invoice date, you must also provide an invoice number.
Shipments to Northern Ireland are identified automatically by postcode. Postcodes that start with BT are sent as Northern Ireland.
- Label formats: PDF, ZPL
- InPost Global does not support multi-package shipments.
You can void a label with ShipStation API. InPost does not have a method for cancelling a shipment, so voiding a label does not cancel it on the InPost side.
All InPost Global services support shipping to service points.
ShipStation API's integration with InPost Global supports receiving tracking updates. Review our Track a Package guides for details on tracking with ShipStation API.
DELETE /v1/connections/carriers/inpost_global/:id
DELETE /v1/connections/carriers/inpost_global/se-1234 HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__See our Delete a Carrier page for more details about disconnecting a carrier from ShipStation API.
NOTE:
If you disconnect a carrier account and reconnect it, the account will have a new
carrier_idin ShipStation API.